

import random, struct, time

def waste_time_rand(time: int):
    time.sleep(random.randint(0, 3))

def waste_time(time: int):
    time.sleep(time)


def gen_binary_file(file_name: str, N: int):
    with open(file_name, 'wb') as f:
        for _ in range(N):
            f.write(struct.pack('f', random.uniform(-1000.0, 1000.0)))


def read_binary_file(file_name) -> list[float]:
    ret = []

    with open(file_name, 'rb') as f:
        while True:
            aux = f.read(4)
            if not aux:
                break
            ret.append(struct.unpack('f', aux)[0])

    return ret